Name:		oinkmaster
Version:	2.0
Release:	1%{?dist}
Summary:	Script to update and manage Snort signatures

License:	BSD
URL:		http://oinkmaster.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildArch:	noarch

Requires:	perl perl(File::Temp) perl(Getopt::Long)

%description
Oinkmaster is a script that will help you update and manage your Snort
rules. It is released under the BSD license and will work on most
platforms that can run Perl scripts, e.g. Linux, *BSD, Windows, Mac OS X,
Solaris, etc. Oinkmaster can be used to update and manage the VRT
licensed rules, the community rules, the bleeding-snort rules and other
third party rules, including your own local rules. 


%package contrib
Summary:	Helper scripts included with oinkmaster
Requires:	perl


%description contrib
Helper scripts included with oinkmaster


%package gui
Summary:	Graphical front-end to Oinkmaster written in Perl/Tk
Requires:	perl(Tk)
Requires:	%{name}


%description gui
The GUI is simply a front-end used to create the right command line and
then execute Oinkmaster with it. In other words, oinkmaster.pl can be
run without the GUI but the GUI can not be run without oinkmaster.pl.


%prep
%setup -q


%build
for file in ChangeLog README README.gui contrib/README.contrib
do
  iconv -f ISO-8859-1 -t UTF-8 $file > $file.utf8 && \
  mv $file.utf8 $file
done


%install
install -D -m755 oinkmaster.pl %{buildroot}%{_bindir}/oinkmaster
install -D -m644 oinkmaster.1 %{buildroot}%{_mandir}/man1/oinkmaster.1
install -D -m644 oinkmaster.conf %{buildroot}%{_sysconfdir}/oinkmaster.conf
install -D -m755 contrib/oinkgui.pl %{buildroot}%{_bindir}/oinkgui
for file in addmsg.pl addsid.pl create-sidmap.pl makesidex.pl
do
  install -D -m755 contrib/$file %{buildroot}%{_libexecdir}/oinkmaster/$file
done


%files
%license LICENSE
%doc ChangeLog FAQ README README.templates UPGRADING
%{_bindir}/oinkmaster
%{_mandir}/man1/oinkmaster.1*
%config(noreplace) %{_sysconfdir}/oinkmaster.conf


%files contrib
%license LICENSE
%doc contrib/README.contrib
%{_libexecdir}/oinkmaster/addmsg.pl
%{_libexecdir}/oinkmaster/addsid.pl
%{_libexecdir}/oinkmaster/create-sidmap.pl
%{_libexecdir}/oinkmaster/makesidex.pl


%files gui
%license LICENSE
%doc README.gui
%{_bindir}/oinkgui


%changelog
* Mon Apr 04 2016 Michael Hampton <error@ioerror.us> - 2.0-1
- Initial build of upstream package.
